Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class REParserException.SyntaxError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jpicedt.graphic.io.parser.ParserException
                  jpicedt.format.input.util.REParserException
                      jpicedt.format.input.util.REParserException.SyntaxError

All Implemented Interfaces:
  Serializable

Enclosing class:
  REParserException

public static class REParserException.SyntaxError
extends REParserException

a syntax error has occured ; should be used as a last resort, when no specific exception message applies.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class jpicedt.format.input.util.REParserException
`REParserException.BeginGroupMismatch, REParserException.BlockMismatch, REParserException.EndGroupMismatch, REParserException.EndOfPicture, REParserException.EndOfPictureNotFound, REParserException.EOF, REParserException.IncompleteSequence, REParserException.NotFoundInFile, REParserException.NumberFormat, REParserException.NumberSign, REParserException.SyntaxError`

Nested classes inherited from class jpicedt.graphic.io.parser.ParserException
`ParserException.UnrecognizedFileFormat`

Constructor Summary
`REParserException.SyntaxError(Context c, AbstractRegularExpression expr)`

Methods inherited from class jpicedt.format.input.util.REParserException
`getLocalizedMessage, getMessage, toString`

Methods inherited from class jpicedt.graphic.io.parser.ParserException
`localize`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### REParserException.SyntaxError

    public REParserException.SyntaxError(Context c,
                                         AbstractRegularExpression expr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org